source: Makefile.in@ 42336618

ADT aaron-thesis arm-eh ast-experimental cleanup-dtors ctor deferred_resn demangler enum forall-pointer-decay gc_noraii jacob/cs343-translation jenkins-sandbox memory new-ast new-ast-unique-expr new-env no_list persistent-indexer pthread-emulation qualifiedEnum resolv-new string stuck-waitfor-destruct with_gc
Last change on this file since 42336618 was 42336618, checked in by Peter A. Buhr <pabuhr@…>, 11 years ago

fix automake fifth attempt

  • Property mode set to 100644
File size: 22.9 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37 $(top_srcdir)/configure $(top_srcdir)/driver/Makefile.in \
38 $(top_srcdir)/libcfa/Makefile.in $(top_srcdir)/src/Makefile.in \
39 $(top_srcdir)/src/examples/Makefile.in COPYING INSTALL \
40 install-sh missing
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44 $(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno config.status.lineno
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = config.h
49CONFIG_CLEAN_FILES = src/Makefile driver/Makefile libcfa/Makefile \
50 src/examples/Makefile
51CONFIG_CLEAN_VPATH_FILES =
52SOURCES =
53DIST_SOURCES =
54RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55 html-recursive info-recursive install-data-recursive \
56 install-dvi-recursive install-exec-recursive \
57 install-html-recursive install-info-recursive \
58 install-pdf-recursive install-ps-recursive install-recursive \
59 installcheck-recursive installdirs-recursive pdf-recursive \
60 ps-recursive uninstall-recursive
61RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
62 distclean-recursive maintainer-clean-recursive
63AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
64 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
65 distdir dist dist-all distcheck
66ETAGS = etags
67CTAGS = ctags
68DIST_SUBDIRS = $(SUBDIRS)
69DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
70distdir = $(PACKAGE)-$(VERSION)
71top_distdir = $(distdir)
72am__remove_distdir = \
73 if test -d "$(distdir)"; then \
74 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
75 && rm -rf "$(distdir)" \
76 || { sleep 5 && rm -rf "$(distdir)"; }; \
77 else :; fi
78am__relativize = \
79 dir0=`pwd`; \
80 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
81 sed_rest='s,^[^/]*/*,,'; \
82 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
83 sed_butlast='s,/*[^/]*$$,,'; \
84 while test -n "$$dir1"; do \
85 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
86 if test "$$first" != "."; then \
87 if test "$$first" = ".."; then \
88 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
89 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
90 else \
91 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
92 if test "$$first2" = "$$first"; then \
93 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
94 else \
95 dir2="../$$dir2"; \
96 fi; \
97 dir0="$$dir0"/"$$first"; \
98 fi; \
99 fi; \
100 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
101 done; \
102 reldir="$$dir2"
103DIST_ARCHIVES = $(distdir).tar.gz
104GZIP_ENV = --best
105distuninstallcheck_listfiles = find . -type f -print
106am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
107 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
108distcleancheck_listfiles = find . -type f -print
109ACLOCAL = @ACLOCAL@
110ALLOCA = @ALLOCA@
111AMTAR = @AMTAR@
112AUTOCONF = @AUTOCONF@
113AUTOHEADER = @AUTOHEADER@
114AUTOMAKE = @AUTOMAKE@
115AWK = @AWK@
116BACKEND_CC = @BACKEND_CC@
117CC = @CC@
118CCDEPMODE = @CCDEPMODE@
119CFA_BINDIR = @CFA_BINDIR@
120CFA_INCDIR = @CFA_INCDIR@
121CFA_LIBDIR = @CFA_LIBDIR@
122CFA_PREFIX = @CFA_PREFIX@
123CFLAGS = @CFLAGS@
124CPP = @CPP@
125CPPFLAGS = @CPPFLAGS@
126CXX = @CXX@
127CXXDEPMODE = @CXXDEPMODE@
128CXXFLAGS = @CXXFLAGS@
129CYGPATH_W = @CYGPATH_W@
130DEFS = @DEFS@
131DEPDIR = @DEPDIR@
132ECHO_C = @ECHO_C@
133ECHO_N = @ECHO_N@
134ECHO_T = @ECHO_T@
135EGREP = @EGREP@
136EXEEXT = @EXEEXT@
137GCC_PATH = @GCC_PATH@
138GREP = @GREP@
139INSTALL = @INSTALL@
140INSTALL_DATA = @INSTALL_DATA@
141INSTALL_PROGRAM = @INSTALL_PROGRAM@
142INSTALL_SCRIPT = @INSTALL_SCRIPT@
143INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
144LDFLAGS = @LDFLAGS@
145LIBOBJS = @LIBOBJS@
146LIBS = @LIBS@
147LTLIBOBJS = @LTLIBOBJS@
148MAKEINFO = @MAKEINFO@
149MKDIR_P = @MKDIR_P@
150OBJEXT = @OBJEXT@
151PACKAGE = @PACKAGE@
152PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
153PACKAGE_NAME = @PACKAGE_NAME@
154PACKAGE_STRING = @PACKAGE_STRING@
155PACKAGE_TARNAME = @PACKAGE_TARNAME@
156PACKAGE_URL = @PACKAGE_URL@
157PACKAGE_VERSION = @PACKAGE_VERSION@
158PATH_SEPARATOR = @PATH_SEPARATOR@
159SET_MAKE = @SET_MAKE@
160SHELL = @SHELL@
161STRIP = @STRIP@
162VERSION = @VERSION@
163abs_builddir = @abs_builddir@
164abs_srcdir = @abs_srcdir@
165abs_top_builddir = @abs_top_builddir@
166abs_top_srcdir = @abs_top_srcdir@
167ac_ct_CC = @ac_ct_CC@
168ac_ct_CXX = @ac_ct_CXX@
169am__include = @am__include@
170am__leading_dot = @am__leading_dot@
171am__quote = @am__quote@
172am__tar = @am__tar@
173am__untar = @am__untar@
174bindir = @bindir@
175build_alias = @build_alias@
176builddir = @builddir@
177datadir = @datadir@
178datarootdir = @datarootdir@
179docdir = @docdir@
180dvidir = @dvidir@
181exec_prefix = @exec_prefix@
182host_alias = @host_alias@
183htmldir = @htmldir@
184includedir = @includedir@
185infodir = @infodir@
186install_sh = @install_sh@
187libdir = @libdir@
188libexecdir = @libexecdir@
189localedir = @localedir@
190localstatedir = @localstatedir@
191mandir = @mandir@
192mkdir_p = @mkdir_p@
193oldincludedir = @oldincludedir@
194pdfdir = @pdfdir@
195prefix = @prefix@
196program_transform_name = @program_transform_name@
197psdir = @psdir@
198sbindir = @sbindir@
199sharedstatedir = @sharedstatedir@
200srcdir = @srcdir@
201sysconfdir = @sysconfdir@
202target_alias = @target_alias@
203top_build_prefix = @top_build_prefix@
204top_builddir = @top_builddir@
205top_srcdir = @top_srcdir@
206AUTOMAKE_OPTIONS = foreign
207SUBDIRS = driver src libcfa # order important, src before libcfa because cfa-cpp used to build prelude
208
209# non-source files
210EXTRA_DIST = Docs
211all: config.h
212 $(MAKE) $(AM_MAKEFLAGS) all-recursive
213
214.SUFFIXES:
215am--refresh: Makefile
216 @:
217$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
218 @for dep in $?; do \
219 case '$(am__configure_deps)' in \
220 *$$dep*) \
221 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
222 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
223 && exit 0; \
224 exit 1;; \
225 esac; \
226 done; \
227 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
228 $(am__cd) $(top_srcdir) && \
229 $(AUTOMAKE) --foreign Makefile
230.PRECIOUS: Makefile
231Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
232 @case '$?' in \
233 *config.status*) \
234 echo ' $(SHELL) ./config.status'; \
235 $(SHELL) ./config.status;; \
236 *) \
237 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
238 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
239 esac;
240
241$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
242 $(SHELL) ./config.status --recheck
243
244$(top_srcdir)/configure: $(am__configure_deps)
245 $(am__cd) $(srcdir) && $(AUTOCONF)
246$(ACLOCAL_M4): $(am__aclocal_m4_deps)
247 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
248$(am__aclocal_m4_deps):
249
250config.h: stamp-h1
251 @if test ! -f $@; then rm -f stamp-h1; else :; fi
252 @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
253
254stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
255 @rm -f stamp-h1
256 cd $(top_builddir) && $(SHELL) ./config.status config.h
257$(srcdir)/config.h.in: $(am__configure_deps)
258 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
259 rm -f stamp-h1
260 touch $@
261
262distclean-hdr:
263 -rm -f config.h stamp-h1
264src/Makefile: $(top_builddir)/config.status $(top_srcdir)/src/Makefile.in
265 cd $(top_builddir) && $(SHELL) ./config.status $@
266driver/Makefile: $(top_builddir)/config.status $(top_srcdir)/driver/Makefile.in
267 cd $(top_builddir) && $(SHELL) ./config.status $@
268libcfa/Makefile: $(top_builddir)/config.status $(top_srcdir)/libcfa/Makefile.in
269 cd $(top_builddir) && $(SHELL) ./config.status $@
270src/examples/Makefile: $(top_builddir)/config.status $(top_srcdir)/src/examples/Makefile.in
271 cd $(top_builddir) && $(SHELL) ./config.status $@
272
273# This directory's subdirectories are mostly independent; you can cd
274# into them and run `make' without going through this Makefile.
275# To change the values of `make' variables: instead of editing Makefiles,
276# (1) if the variable is set in `config.status', edit `config.status'
277# (which will cause the Makefiles to be regenerated when you run `make');
278# (2) otherwise, pass the desired values on the `make' command line.
279$(RECURSIVE_TARGETS):
280 @fail= failcom='exit 1'; \
281 for f in x $$MAKEFLAGS; do \
282 case $$f in \
283 *=* | --[!k]*);; \
284 *k*) failcom='fail=yes';; \
285 esac; \
286 done; \
287 dot_seen=no; \
288 target=`echo $@ | sed s/-recursive//`; \
289 list='$(SUBDIRS)'; for subdir in $$list; do \
290 echo "Making $$target in $$subdir"; \
291 if test "$$subdir" = "."; then \
292 dot_seen=yes; \
293 local_target="$$target-am"; \
294 else \
295 local_target="$$target"; \
296 fi; \
297 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
298 || eval $$failcom; \
299 done; \
300 if test "$$dot_seen" = "no"; then \
301 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
302 fi; test -z "$$fail"
303
304$(RECURSIVE_CLEAN_TARGETS):
305 @fail= failcom='exit 1'; \
306 for f in x $$MAKEFLAGS; do \
307 case $$f in \
308 *=* | --[!k]*);; \
309 *k*) failcom='fail=yes';; \
310 esac; \
311 done; \
312 dot_seen=no; \
313 case "$@" in \
314 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
315 *) list='$(SUBDIRS)' ;; \
316 esac; \
317 rev=''; for subdir in $$list; do \
318 if test "$$subdir" = "."; then :; else \
319 rev="$$subdir $$rev"; \
320 fi; \
321 done; \
322 rev="$$rev ."; \
323 target=`echo $@ | sed s/-recursive//`; \
324 for subdir in $$rev; do \
325 echo "Making $$target in $$subdir"; \
326 if test "$$subdir" = "."; then \
327 local_target="$$target-am"; \
328 else \
329 local_target="$$target"; \
330 fi; \
331 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
332 || eval $$failcom; \
333 done && test -z "$$fail"
334tags-recursive:
335 list='$(SUBDIRS)'; for subdir in $$list; do \
336 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
337 done
338ctags-recursive:
339 list='$(SUBDIRS)'; for subdir in $$list; do \
340 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
341 done
342
343ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
344 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
345 unique=`for i in $$list; do \
346 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
347 done | \
348 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
349 END { if (nonempty) { for (i in files) print i; }; }'`; \
350 mkid -fID $$unique
351tags: TAGS
352
353TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
354 $(TAGS_FILES) $(LISP)
355 set x; \
356 here=`pwd`; \
357 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
358 include_option=--etags-include; \
359 empty_fix=.; \
360 else \
361 include_option=--include; \
362 empty_fix=; \
363 fi; \
364 list='$(SUBDIRS)'; for subdir in $$list; do \
365 if test "$$subdir" = .; then :; else \
366 test ! -f $$subdir/TAGS || \
367 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
368 fi; \
369 done; \
370 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
371 unique=`for i in $$list; do \
372 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
373 done | \
374 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
375 END { if (nonempty) { for (i in files) print i; }; }'`; \
376 shift; \
377 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
378 test -n "$$unique" || unique=$$empty_fix; \
379 if test $$# -gt 0; then \
380 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
381 "$$@" $$unique; \
382 else \
383 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
384 $$unique; \
385 fi; \
386 fi
387ctags: CTAGS
388CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
389 $(TAGS_FILES) $(LISP)
390 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
391 unique=`for i in $$list; do \
392 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
393 done | \
394 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
395 END { if (nonempty) { for (i in files) print i; }; }'`; \
396 test -z "$(CTAGS_ARGS)$$unique" \
397 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
398 $$unique
399
400GTAGS:
401 here=`$(am__cd) $(top_builddir) && pwd` \
402 && $(am__cd) $(top_srcdir) \
403 && gtags -i $(GTAGS_ARGS) "$$here"
404
405distclean-tags:
406 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
407
408distdir: $(DISTFILES)
409 $(am__remove_distdir)
410 test -d "$(distdir)" || mkdir "$(distdir)"
411 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
412 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
413 list='$(DISTFILES)'; \
414 dist_files=`for file in $$list; do echo $$file; done | \
415 sed -e "s|^$$srcdirstrip/||;t" \
416 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
417 case $$dist_files in \
418 */*) $(MKDIR_P) `echo "$$dist_files" | \
419 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
420 sort -u` ;; \
421 esac; \
422 for file in $$dist_files; do \
423 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
424 if test -d $$d/$$file; then \
425 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
426 if test -d "$(distdir)/$$file"; then \
427 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
428 fi; \
429 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
430 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
431 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
432 fi; \
433 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
434 else \
435 test -f "$(distdir)/$$file" \
436 || cp -p $$d/$$file "$(distdir)/$$file" \
437 || exit 1; \
438 fi; \
439 done
440 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
441 if test "$$subdir" = .; then :; else \
442 test -d "$(distdir)/$$subdir" \
443 || $(MKDIR_P) "$(distdir)/$$subdir" \
444 || exit 1; \
445 fi; \
446 done
447 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
448 if test "$$subdir" = .; then :; else \
449 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
450 $(am__relativize); \
451 new_distdir=$$reldir; \
452 dir1=$$subdir; dir2="$(top_distdir)"; \
453 $(am__relativize); \
454 new_top_distdir=$$reldir; \
455 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
456 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
457 ($(am__cd) $$subdir && \
458 $(MAKE) $(AM_MAKEFLAGS) \
459 top_distdir="$$new_top_distdir" \
460 distdir="$$new_distdir" \
461 am__remove_distdir=: \
462 am__skip_length_check=: \
463 am__skip_mode_fix=: \
464 distdir) \
465 || exit 1; \
466 fi; \
467 done
468 -test -n "$(am__skip_mode_fix)" \
469 || find "$(distdir)" -type d ! -perm -755 \
470 -exec chmod u+rwx,go+rx {} \; -o \
471 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
472 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
473 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
474 || chmod -R a+r "$(distdir)"
475dist-gzip: distdir
476 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
477 $(am__remove_distdir)
478
479dist-bzip2: distdir
480 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
481 $(am__remove_distdir)
482
483dist-lzip: distdir
484 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
485 $(am__remove_distdir)
486
487dist-lzma: distdir
488 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
489 $(am__remove_distdir)
490
491dist-xz: distdir
492 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
493 $(am__remove_distdir)
494
495dist-tarZ: distdir
496 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
497 $(am__remove_distdir)
498
499dist-shar: distdir
500 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
501 $(am__remove_distdir)
502
503dist-zip: distdir
504 -rm -f $(distdir).zip
505 zip -rq $(distdir).zip $(distdir)
506 $(am__remove_distdir)
507
508dist dist-all: distdir
509 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
510 $(am__remove_distdir)
511
512# This target untars the dist file and tries a VPATH configuration. Then
513# it guarantees that the distribution is self-contained by making another
514# tarfile.
515distcheck: dist
516 case '$(DIST_ARCHIVES)' in \
517 *.tar.gz*) \
518 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
519 *.tar.bz2*) \
520 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
521 *.tar.lzma*) \
522 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
523 *.tar.lz*) \
524 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
525 *.tar.xz*) \
526 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
527 *.tar.Z*) \
528 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
529 *.shar.gz*) \
530 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
531 *.zip*) \
532 unzip $(distdir).zip ;;\
533 esac
534 chmod -R a-w $(distdir); chmod a+w $(distdir)
535 mkdir $(distdir)/_build
536 mkdir $(distdir)/_inst
537 chmod a-w $(distdir)
538 test -d $(distdir)/_build || exit 0; \
539 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
540 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
541 && am__cwd=`pwd` \
542 && $(am__cd) $(distdir)/_build \
543 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
544 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
545 $(DISTCHECK_CONFIGURE_FLAGS) \
546 && $(MAKE) $(AM_MAKEFLAGS) \
547 && $(MAKE) $(AM_MAKEFLAGS) dvi \
548 && $(MAKE) $(AM_MAKEFLAGS) check \
549 && $(MAKE) $(AM_MAKEFLAGS) install \
550 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
551 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
552 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
553 distuninstallcheck \
554 && chmod -R a-w "$$dc_install_base" \
555 && ({ \
556 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
557 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
558 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
559 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
560 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
561 } || { rm -rf "$$dc_destdir"; exit 1; }) \
562 && rm -rf "$$dc_destdir" \
563 && $(MAKE) $(AM_MAKEFLAGS) dist \
564 && rm -rf $(DIST_ARCHIVES) \
565 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
566 && cd "$$am__cwd" \
567 || exit 1
568 $(am__remove_distdir)
569 @(echo "$(distdir) archives ready for distribution: "; \
570 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
571 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
572distuninstallcheck:
573 @test -n '$(distuninstallcheck_dir)' || { \
574 echo 'ERROR: trying to run $@ with an empty' \
575 '$$(distuninstallcheck_dir)' >&2; \
576 exit 1; \
577 }; \
578 $(am__cd) '$(distuninstallcheck_dir)' || { \
579 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
580 exit 1; \
581 }; \
582 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
583 || { echo "ERROR: files left after uninstall:" ; \
584 if test -n "$(DESTDIR)"; then \
585 echo " (check DESTDIR support)"; \
586 fi ; \
587 $(distuninstallcheck_listfiles) ; \
588 exit 1; } >&2
589distcleancheck: distclean
590 @if test '$(srcdir)' = . ; then \
591 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
592 exit 1 ; \
593 fi
594 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
595 || { echo "ERROR: files left in build directory after distclean:" ; \
596 $(distcleancheck_listfiles) ; \
597 exit 1; } >&2
598check-am: all-am
599check: check-recursive
600all-am: Makefile config.h
601installdirs: installdirs-recursive
602installdirs-am:
603install: install-recursive
604install-exec: install-exec-recursive
605install-data: install-data-recursive
606uninstall: uninstall-recursive
607
608install-am: all-am
609 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
610
611installcheck: installcheck-recursive
612install-strip:
613 if test -z '$(STRIP)'; then \
614 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
615 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
616 install; \
617 else \
618 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
619 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
620 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
621 fi
622mostlyclean-generic:
623
624clean-generic:
625
626distclean-generic:
627 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
628 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
629
630maintainer-clean-generic:
631 @echo "This command is intended for maintainers to use"
632 @echo "it deletes files that may require special tools to rebuild."
633clean: clean-recursive
634
635clean-am: clean-generic mostlyclean-am
636
637distclean: distclean-recursive
638 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
639 -rm -f Makefile
640distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
641
642dvi: dvi-recursive
643
644dvi-am:
645
646html: html-recursive
647
648html-am:
649
650info: info-recursive
651
652info-am:
653
654install-data-am:
655
656install-dvi: install-dvi-recursive
657
658install-dvi-am:
659
660install-exec-am:
661
662install-html: install-html-recursive
663
664install-html-am:
665
666install-info: install-info-recursive
667
668install-info-am:
669
670install-man:
671
672install-pdf: install-pdf-recursive
673
674install-pdf-am:
675
676install-ps: install-ps-recursive
677
678install-ps-am:
679
680installcheck-am:
681
682maintainer-clean: maintainer-clean-recursive
683 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
684 -rm -rf $(top_srcdir)/autom4te.cache
685 -rm -f Makefile
686maintainer-clean-am: distclean-am maintainer-clean-generic
687
688mostlyclean: mostlyclean-recursive
689
690mostlyclean-am: mostlyclean-generic
691
692pdf: pdf-recursive
693
694pdf-am:
695
696ps: ps-recursive
697
698ps-am:
699
700uninstall-am:
701
702.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
703 ctags-recursive install-am install-strip tags-recursive
704
705.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
706 all all-am am--refresh check check-am clean clean-generic \
707 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
708 dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
709 distcheck distclean distclean-generic distclean-hdr \
710 distclean-tags distcleancheck distdir distuninstallcheck dvi \
711 dvi-am html html-am info info-am install install-am \
712 install-data install-data-am install-dvi install-dvi-am \
713 install-exec install-exec-am install-html install-html-am \
714 install-info install-info-am install-man install-pdf \
715 install-pdf-am install-ps install-ps-am install-strip \
716 installcheck installcheck-am installdirs installdirs-am \
717 maintainer-clean maintainer-clean-generic mostlyclean \
718 mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
719 uninstall uninstall-am
720
721
722# Tell versions [3.59,3.63) of GNU make to not export all variables.
723# Otherwise a system limit (for SysV at least) may be exceeded.
724.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.